## visad.data.in
Interface DataInputStream

All Known Subinterfaces:
  DataInputSource

All Known Implementing Classes:
  DataInputFilter, DODSSource

public interface DataInputStream

Interface for a filter-module in a data-import pipe. In general, such a filter-module obtains VisAD data objects its upstream data source and transforms them in some way before passing them on.

Method Summary
`DataImpl` `readData()` Returns the next VisAD data object in the input stream.

Method Detail

### readData

    public DataImpl readData()
                      throws VisADException,
                             RemoteException

  Returns the next VisAD data object in the input stream. Returns `null` if there is no next object.

  Returns:
    A VisAD data object or `null` if there are no more such objects.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.